MPD: Data Fields - Functions

MPD 0.20.18

### - c -

- c_str() : AllocatedPath , AllocatedString< T > , BasicStringBuffer< T, CAPACITY > , NarrowPath , Path , StringPointer< T >
- CalcInputSampleRate() : PcmExport::Params
- CalcOutputSampleRate() : PcmExport::Params
- CalcSourceSize() : PcmExport
- Calculate() : CrossFadeSettings
- CalculateScale() : ReplayGainTuple
- Cancel() : AudioOutputSource , AudioOutputWrapper< T > , CancellableList< T, CT > , CancellablePointer< T > , DeferredMonitor , FileOutputStream , IdleMonitor , MultipleOutputs , NfsConnection , SharedPipeConsumer , SocketMonitor , ThreadInputStream , TimeoutMonitor , UpdateWalk
- CancelAllAsync() : UpdateService
- CancelAllClients() : HttpdOutput
- CancelAndClose() : NfsConnection
- CancellablePointer() : CancellablePointer< T >
- CancelMount() : UpdateService
- CancelQueue() : HttpdClient
- CancelRead() : NfsFileReader , SocketMonitor
- CancelTimer() : EventLoop
- CancelWrite() : SocketMonitor
- capacity() : BasicStringBuffer< T, CAPACITY >
- Cast() : AudioOutputWrapper< T > , HttpdOutput
- cbegin() : ConstBuffer< T > , WritableBuffer< T >
- cend() : ConstBuffer< T > , WritableBuffer< T >
- CharacterData() : CommonExpatParser
- CheapSeeking() : InputStream
- Check() : AsyncInputStream , ExcludeList , InputStream , MultipleOutputs , PeriodClock , ProxyInputStream , ThreadInputStream , UPnPDirObject
- CheckAlwaysUpdate() : PeriodClock
- CheckCancelRead() : DecoderBridge
- CheckFormat() : MusicChunk , MusicPipe
- CheckModified() : StateFile
- CheckOption() : OptionParser
- CheckRethrowError() : DecoderControl , PlayerControl
- CheckUpdate() : PeriodClock
- ChopSeparators() : AllocatedPath
- ChunksConsumed() : AudioOutputClient , PlayerControl
- CircularBuffer() : CircularBuffer< T >
- Class() : Java::Class
- Clear() : AllocatedSocketAddress , AudioFormat
- clear() : BasicStringBuffer< T, CAPACITY >
- Clear() : CircularBuffer< T > , ConfigData , CurlSlist , DatabaseStats , DecoderBuffer , ForeignFifoBuffer< T > , Java::TrivialRef< T > , MixRampInfo , MusicPipe , notify , PcmBuffer , playlist , PollResultEPoll , PollResultGeneric , Queue , ReplayGainInfo , ReplayGainTuple , ReusableArray< T, M > , SLES::AndroidSimpleBufferQueue , StaticFifoBuffer< T, size > , StaticSocketAddress , Tag , TagBuilder , UpdateQueue , UpdateQueueItem , UPnPDirObject
- clear() : UPnPService
- ClearError() : DecoderControl
- ClearMimeType() : InputStream
- ClearOptional() : Java::TrivialRef< T >
- ClearQueue() : Partition
- ClearSocketList() : MultiSocketMonitor
- ClearSongIdTag() : playlist
- ClearTag() : AsyncInputStream
- ClearTaggedSong() : PlayerControl
- ClearTail() : SharedPipeConsumer
- ClearTailChunk() : AudioOutput , AudioOutputSource
- Client() : Client
- ClientList() : ClientList
- ClientMessage() : ClientMessage
- ClientSignal() : PlayerControl
- ClientWait() : PlayerControl
- Clone() : AllocatedString< T >
- Close() : ArchiveFile , AudioOutputSource , AudioOutputWrapper< T > , Client , Database , FallbackPcmResampler , FileDescriptor , FileReader , FullyBufferedSocket , GluePcmResampler , HttpdClient , HttpdOutput , LibsampleratePcmResampler , Mixer , MultipleOutputs , NeighborExplorer , NeighborGlue , NfsConnection , NfsFileReader , PcmChannelsConverter , PcmConvert , PcmFormatConverter , PcmResampler , PcmVolume , PidFile , ServerSocket , SignalFD , SimpleDatabase , SocketMonitor , SoxrPcmResampler , ThreadInputStream
- CloseAll() : ClientList
- CloseDirectory() : NfsConnection
- CloseWait() : AudioOutput
- CommandAsync() : AudioOutput
- CommandFinished() : DecoderBridge , DecoderClient , PlayerControl
- CommandFinishedLocked() : DecoderControl
- CommandListBuilder() : CommandListBuilder
- CommandWait() : AudioOutput
- Commit() : CommandListBuilder , FileOutputStream , TagBuilder
- CommitBulk() : playlist
- CommitNew() : TagBuilder
- CommitWriteBuffer() : AsyncInputStream
- CommonExpatParser() : CommonExpatParser
- CompareName() : PlaylistInfo::CompareName
- Complement() : TagBuilder
- CompositeStorage() : CompositeStorage
- Concat() : Page
- ConfigBlock() : ConfigBlock
- ConfigParam() : ConfigParam
- ConfigTemplate() : ConfigTemplate
- Configure() : MultipleOutputs
- ConstBuffer() : ConstBuffer< T > , ConstBuffer< void >
- Construct() : Manual< T >
- Consume() : BufferedReader , CircularBuffer< T > , DecoderBuffer , ForeignFifoBuffer< T > , PeakBuffer , SharedPipeConsumer , StaticFifoBuffer< T, size >
- ConsumeData() : AudioOutputSource
- ConsumeInput() : BufferedSocket
- ContainerScan() : DecoderPlugin
- Contains() : CancellableList< T, CT > , ConstBuffer< T > , MusicPipe
- ContentDirectoryService() : ContentDirectoryService
- Context() : Context
- Control() : EPollFD
- Convert() : FloatToIntegerSampleConvert< F, Traits > , IntegerToFloatSampleConvert< F, Traits > , LeftShiftSampleConvert< SF, DF, ST, DT > , NeonFloatTo16 , PcmChannelsConverter , PcmConvert , PcmFormatConverter , RightShiftSampleConvert< SF, DF, ST, DT >
- Copy() : Page
- CopyAttributes() : ProxyInputStream
- CopyTo() : Java::String
- Create() : Page , SignalFD , SimpleDatabase
- CreateAudioPlayer() : SLES::Engine
- CreateChild() : Directory
- CreateOutputMix() : SLES::Engine
- CreatePipe() : FileDescriptor
- CriticalSection() : CriticalSection
- CrossFadeSettings() : CrossFadeSettings
- CurlEasy() : CurlEasy
- CurlGlobal() : CurlGlobal
- CurlMulti() : CurlMulti
- CurlRequest() : CurlRequest
- CurlSlist() : CurlSlist
- CurrentChar() : Tokenizer
- CycleMixRamp() : DecoderControl